Default "Your device is not compatible" I smell a rat

I are starting to find software i have been using on the gear popping up with this..... Swiftkey is the latest to shut the shop, whats up with this as swiftkey has been working fine